Name:           python-splitapiclient
Version:        3.5.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This Python Library provide full support for Split REST Admin API, allow creating, deleting and editing Environments, Splits, Split Definitions, Segments, Segment Keys, Users, Groups, API Keys, Change Requests, Attributes and Identities

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/splitio/python-api
Source:         %{pypi_source splitapiclient}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'splitapiclient' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-splitapiclient
Summary:        %{summary}

%description -n python3-splitapiclient %_description


%prep
%autosetup -p1 -n splitapiclient-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-splitapiclient -f %{pyproject_files}


%changelog
%autochangelog